BETTERMENU
Ingredients search

Get US ingredient details by ID

Get full details for an ingredient — see all nutrients, view ingredient nutrition data, get complete food information.

Helper — call anytime to inspect ingredient details.

Use this to answer: "what nutrients are in chicken breast?", "show full details for this ingredient", "get nutrition data for ingredient ID X"

Returns the complete ingredient record with all nutrient values per 100g. Use after ② searchUsIngredients to get details for a selected candidate.

GET
/ingredients/us/ingredients/{ingredient_id}

Authorization

BearerAuth
AuthorizationBearer <token>

JWT Bearer token authentication

In: header

Path Parameters

ingredient_id*string

Ingredient ID

Response Body

application/json

application/json

curl -X GET "https://loading/ingredients/us/ingredients/f_dXNkYV9mbmRkczoy"
{
  "data": {
    "item_type": "ingredient",
    "id": "f_dXNkYV9mbmRkczoy",
    "name": "Milk, whole, 3.25% milkfat",
    "category": "Dairy and Egg Products",
    "nutrients": [
      {
        "id": "n_qr2jbh18w4hmo",
        "name": "protein",
        "amount": "string",
        "unit": "g"
      }
    ]
  },
  "meta": {
    "version": "2025-10-07.preview",
    "request_id": "req_abc123xyz",
    "timestamp": "2025-10-07T10:30:15Z"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}